/** ------------------------------------------------------------
  * A U T O   G E N E R A T E D
  * Generator: Rocs wgen (build Feb 18 2017 06:33:14)
  * Module: rocrail
  * Date: Sat Feb 18 06:33:17 2017
  */

#ifndef __WRAPPER_FeedbackEvent_H
#define __WRAPPER_FeedbackEvent_H

#include "rocrail/wrapper/public/wrapper.h"
#include "rocs/public/rocs.h"
#include "rocs/public/objbase.h"
#include "rocs/public/node.h"
#include "rocs/public/str.h"
#ifdef __cplusplus
  extern "C" {
#endif


struct __wFeedbackEvent {
  const char* (*name)(void);
  const char* (*remark)(void);
  Boolean (*required)(void);
  const char* (*cardinality)(void);
  const char* V_cruise_event;
  const char* V_max_event;
  const char* V_mid_event;
  const char* V_min_event;
  const char* enter2in_event;
  const char* enter2route_event;
  const char* enter_event;
  const char* exit_event;
  const char* from_all;
  const char* from_all_reverse;
  const char* ident_event;
  const char* in_event;
  const char* occupied_event;
  const char* pre2in_event;
  const char* shortin_event;
  const char* (*getaction)(iONode);
  void (*setaction)(iONode,const char*);
  const char* (*getbyroute)(iONode);
  void (*setbyroute)(iONode,const char*);
  Boolean (*isendpuls)(iONode);
  void (*setendpuls)(iONode,Boolean);
  const char* (*getfrom)(iONode);
  void (*setfrom)(iONode,const char*);
  const char* (*getid)(iONode);
  void (*setid)(iONode,const char*);
  Boolean (*dump)(iONode node);
};

extern struct __wFeedbackEvent wFeedbackEvent;

#ifdef __cplusplus
  }
#endif


#endif
