/** ------------------------------------------------------------
  * A U T O   G E N E R A T E D
  * Generator: Rocs ogen (build Feb 18 2017 06:33:15)
  * Module: RocRail
  * XML: $Source: /cvsroot/rojav/rocrail/rocrail.xml,v $
  * XML: $Revision: 1.56 $
  * Date: Sat Feb 18 06:33:17 2017
  */

#ifndef __object_Http_H
#define __object_Http_H

#include "rocs/public/rocs.h"
#include "rocs/public/objbase.h"

/* Rocs includes: */
#include "rocs/public/node.h"
#include "rocs/public/thread.h"
#include "rocs/public/socket.h"
#include "rocs/public/map.h"
#include "rocs/public/mutex.h"

#ifdef __cplusplus
  extern "C" {
#endif





typedef struct OHttp {
  /***** Base *****/
  struct OBase  base;

  /***** Object: Http *****/
  /** Parse and map the post data. */
  iOMap (*createPostDataMap)( const char* postdata );
  /**  */
  void (*deletePostDataMap)( iOMap postdatamap );
  /** Object creator. */
  struct OHttp* (*inst)( iONode ini );
  /** Shutdown Http. */
  void (*shutdown)( struct OHttp* inst );
} *iOHttp;

extern struct OHttp HttpOp;

#ifdef __cplusplus
  }
#endif


#endif
