/** ------------------------------------------------------------
  * A U T O   G E N E R A T E D
  * Generator: Rocs wgen (build Feb 18 2017 06:33:14)
  * Module: rocrail
  * Date: Sat Feb 18 06:33:17 2017
  */

#ifndef __WRAPPER_ScheduleEntry_H
#define __WRAPPER_ScheduleEntry_H

#include "rocrail/wrapper/public/wrapper.h"
#include "rocs/public/rocs.h"
#include "rocs/public/objbase.h"
#include "rocs/public/node.h"
#include "rocs/public/str.h"
#ifdef __cplusplus
  extern "C" {
#endif


struct __wScheduleEntry {
  const char* (*name)(void);
  const char* (*remark)(void);
  Boolean (*required)(void);
  const char* (*cardinality)(void);
  const char* (*getblock)(iONode);
  void (*setblock)(iONode,const char*);
  int (*gethour)(iONode);
  void (*sethour)(iONode,int);
  const char* (*getlocation)(iONode);
  void (*setlocation)(iONode,const char*);
  int (*getminute)(iONode);
  void (*setminute)(iONode,int);
  Boolean (*isswap)(iONode);
  void (*setswap)(iONode,Boolean);
  iONode (*getactionctrl)(iONode);
  iONode (*nextactionctrl)(iONode,iONode);
  void (*setactionctrl)(iONode,iONode);
  Boolean (*dump)(iONode node);
};

extern struct __wScheduleEntry wScheduleEntry;

#ifdef __cplusplus
  }
#endif


#endif
